# $Revision: 1.46 $, $Date: 2008-04-02 08:35:07 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working syslog)
#
%include	/usr/lib/rpm/macros.perl
Summary:	PlRPC perl module
Summary(pl.UTF-8):	Moduł Perla PlRPC
Name:		perl-PlRPC
Version:	0.2020
Release:	1
# same as perl
License:	GPL v1 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/RPC/PlRPC-%{version}.tar.gz
# Source0-md5:	5361e137e56d037c5e796926ecb5300b
URL:		http://search.cpan.org/dist/PlRPC/
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Net-Daemon
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PlRPC (Perl RPC) is a package for implementing servers and clients
that are written in Perl entirely.

%description -l pl.UTF-8
PlRPC (Perl RPC) to pakiet służący do tworzenia serwerów i klientów
wyłącznie w Perlu.

%prep
%setup -q -n PlRPC

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

# do we package Bundle::* modules or not?
# or maybe as subpackage
%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/RPC/PlClient.pm
%{perl_vendorlib}/RPC/PlServer.pm
%{perl_vendorlib}/RPC/PlServer
%{perl_vendorlib}/RPC/PlClient
%{_mandir}/man3/R*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PlRPC.spec,v $
Revision 1.46  2008-04-02 08:35:07  arekm
- up to 0.2020

Revision 1.45  2007/06/03 08:29:18  qboosh
- generic URL

Revision 1.44  2007/06/03 08:11:12  agaran
- up to 0.2019, rel 1, builds here,

Revision 1.43  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.41  2005/04/26 14:24:02  qboosh
- cosmetic

Revision 1.40  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.39  2004/08/08 20:54:30  adamg
- added missing PlClient/ dir (pointed out by jack)
- release 2

Revision 1.38  2004/08/08 19:28:20  adamg
- updated to 0.2018

Revision 1.37  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.36  2004/05/23 18:15:21  qboosh
- disable tests (need working syslog); release 3

Revision 1.35  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.34  2004/04/23 14:50:12  qboosh
- unifications

Revision 1.33  2004/04/22 21:00:21  agaran
- added make test (bcond without test)
- updated license

Revision 1.32  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/06/12 07:20:49  misi3k
- updated to 0.2017

Revision 1.29  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.28  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 20:22:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:37:41  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/11/26 00:14:37  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.22  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/03/04 12:39:47  kloczek
- release 3.

Revision 1.20  2002/03/04 10:34:04  grabba
- fixed required rpm-perlprov version

Revision 1.19  2002/03/03 21:31:15  marcus
- rel.2.

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/10 15:32:57  depesz
adapterized

Revision 1.16  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/10 15:23:25  mis
- autoupdated to 0.2016

Revision 1.14  2001/07/16 00:10:36  qboosh
- removed Bundle::* - we use rpm dependencies
- release 4

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:14:20  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/29 07:54:46  mis
- autoupdated to 0.2015

Revision 1.9  2001/02/01 20:42:52  kloczek
- updated to 0.2014.

Revision 1.8  2001/01/23 00:41:55  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.7  2001/01/13 01:48:40  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.1  1999/11/02 22:10:48  pius
- initial release
